Subject: Re: bug#8622: 24.0.50; url-parse does not implement RFC3986 5.2

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 15 Apr 2018 22:14:18 +0200

Lars Magne Ingebrigtsen <[email-masked]> writes:

> However, as a practical issue, it might make sense to just do what
> Firefox does, which is probably "best practise".  If for no other reason
> than that Firefox does it. 
>
> It will strip "../" and "./" from the front of the local part of all
> URLs, according to tcpdump.

I've checked Chromium, too, and it does the same.

I think it might make sense for eww to strip the "../" things, and leave
url-parse at it is, since it should be standards-compliant, and the
standards don't seem to say anything about this.

I'll tweak eww.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no